Name:          jaxb2-common-basics
Version:       0.9.5
Release:       %mkrel 4
Group:         Development/Java
Summary:       JAXB2 Basics
License:       BSD
Url:           https://github.com/highsource/jaxb2-basics
Source0:       https://github.com/highsource/jaxb2-basics/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.javaparser:javaparser)
BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(commons-beanutils:commons-beanutils)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(javax.xml.bind:jaxb-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.ant:ant-launcher)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-runtime)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-xjc)
BuildRequires: mvn(org.jvnet.jaxb2.maven2:maven-jaxb22-plugin)
BuildRequires: mvn(org.jvnet.jaxb2.maven2:maven-jaxb2-plugin-testing)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.springframework:spring-context-support)
BuildRequires: mvn(xmlunit:xmlunit)

BuildArch:     noarch

%description
JAXB2 Basics is a part of JAXB2 Commons project which
implements plugins and tools for JAXB 2.x reference
implementation.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaxb2-basics-%{version}
# Cleanup
find -name "*.bat" -print -delete
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-deploy-plugin plugins
%pom_remove_plugin :maven-shade-plugin plugins
%pom_disable_module dist
%pom_disable_module samples
%pom_disable_module tests

%pom_change_dep :ant-optional org.apache.ant:ant
%pom_change_dep -r org.springframework:spring org.springframework:spring-context-support
# rm -rf tools/src/main/java/org/jvnet/jaxb2_commons/plugin/spring
%pom_change_dep :maven-jaxb2-plugin :maven-jaxb22-plugin

%pom_xpath_set "pom:dependency[pom:artifactId = 'tools' ]/pom:groupId" com.sun
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools' ]/pom:scope"
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools' ]/pom:systemPath"

%pom_xpath_set "pom:plugin[pom:groupId = 'org.jvnet.jaxb2.maven2' ]/pom:artifactId" maven-jaxb22-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md TODO.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.9.5-4.mga6
+ Revision: 981950
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.9.5-3.mga6
+ Revision: 976444
- First rebuild of the java stack
- sync package jaxb2-common-basics with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 21 2015 daviddavid <daviddavid> 0.6.3-12.mga5
+ Revision: 811822
- add missing BuildRequires on glassfish-jaxb-api

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-11.mga5
+ Revision: 750498
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 27 2014 dmorgan <dmorgan> 0.6.3-9.mga5
+ Revision: 627028
- Build with xmvn

* Mon Dec 16 2013 dmorgan <dmorgan> 0.6.3-7.mga4
+ Revision: 557423
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.3-5.mga3
+ Revision: 354871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 0.6.3-4.mga3
+ Revision: 341436
- Clean spec file

  + gil <gil>
    - added depmap file
    - buid fix
      adapt to current guidelines
      fix BR
    - update to 0.6.3
    - imported package jaxb2-common-basics

